summaryrefslogtreecommitdiffstats
path: root/source/ap/joe/joe.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/joe/joe.SlackBuild')
-rwxr-xr-xsource/ap/joe/joe.SlackBuild23
1 files changed, 16 insertions, 7 deletions
diff --git a/source/ap/joe/joe.SlackBuild b/source/ap/joe/joe.SlackBuild
index b3a125525..643f914c8 100755
--- a/source/ap/joe/joe.SlackBuild
+++ b/source/ap/joe/joe.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2017, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,9 +20,11 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PKGNAM=joe
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -34,9 +36,16 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-joe
@@ -45,7 +54,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf joe-$VERSION
-tar xvf $CWD/joe-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/joe-$VERSION.tar.?z || exit 1
cd joe-$VERSION || exit 1
chown -R root:root .
@@ -62,7 +71,7 @@ find . \
--sysconfdir=/etc \
--program-prefix="" \
--program-suffix="" \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1